Loading...
Searching...
No Matches
Opm::ReservoirCoupling::GrupSlav Class Reference

## Public Types

enum class | FilterFlag { MAST , SLAV , BOTH }

## Public Member Functions

| GrupSlav (const std::string &name, const std::string &master_group_name, FilterFlag oil_prod_flag, FilterFlag liquid_prod_flag, FilterFlag gas_prod_flag, FilterFlag fluid_volume_prod_flag, FilterFlag oil_inj_flag, FilterFlag water_inj_flag, FilterFlag gas_inj_flag)
const std::string & | name () const
const std::string & | masterGroupName () const
FilterFlag | oilProdFlag () const
FilterFlag | liquidProdFlag () const
FilterFlag | gasProdFlag () const
FilterFlag | fluidVolumeProdFlag () const
FilterFlag | oilInjFlag () const
FilterFlag | waterInjFlag () const
FilterFlag | gasInjFlag () const
void | name (const std::string &value)
void | masterGroupName (const std::string &value)
bool | operator== (const GrupSlav &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GrupSlav | serializationTestObject ()
static FilterFlag | filterFlagFromString (const std::string &flag)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ResCoup/GrupSlav.hpp
- opm/input/eclipse/Schedule/ResCoup/GrupSlav.cpp